package com.ygtx.gxt.mapper;

import com.ygtx.gxt.domain.GxtScoreProject;
import java.util.List;

/**
 * 项目分值Mapper接口
 * 
 * @author ruoyi
 * @date 2025-11-11
 */
public interface GxtScoreProjectMapper 
{
    /**
     * 查询项目分值
     * 
     * @param id 项目分值主键
     * @return 项目分值
     */
    public GxtScoreProject selectGxtScoreProjectById(Long id);

    /**
     * 查询项目分值列表
     * 
     * @param gxtScoreProject 项目分值
     * @return 项目分值集合
     */
    public List<GxtScoreProject> selectGxtScoreProjectList(GxtScoreProject gxtScoreProject);

    /**
     * 新增项目分值
     * 
     * @param gxtScoreProject 项目分值
     * @return 结果
     */
    public int insertGxtScoreProject(GxtScoreProject gxtScoreProject);

    /**
     * 修改项目分值
     * 
     * @param gxtScoreProject 项目分值
     * @return 结果
     */
    public int updateGxtScoreProject(GxtScoreProject gxtScoreProject);

    /**
     * 删除项目分值
     * 
     * @param id 项目分值主键
     * @return 结果
     */
    public int deleteGxtScoreProjectById(Long id);

    /**
     * 批量删除项目分值
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtScoreProjectByIds(Long[] ids);
}